|

Create a user

post/users
Creates a new user, optionally initializing with the provided vault data.

Request

Headers

x-external-id·

optional string

Optionally, this user's identifier in your own database. This will be associated with the user as their external_id, which is may be used in the future to look up a user in Footprint using your own user identifier. x-external-id must be globally unique to your organization. Can only be composed of alphanumeric characters, underscores, hyphens, and periods. Note, if x-external-id is provided, initial data may not be specified in the HTTP body.
x-sandbox-id·

optional string

When provided, creates a sandbox user with the provided sandbox ID. Sandbox IDs allow you to create multiple users with the same contact info. In order to log in using an existing sandbox user, you can provide its Sandbox ID in the Footprint flow.

Body

·

optional

Key-value map of data to add to the user's vault. For more documentation on available keys, see here.
<key>·

string

Allowed values:

id.first_nameid.middle_nameid.last_nameid.dobid.ssn4id.ssn9id.address_line1id.address_line2id.cityid.stateid.zipid.countryid.emailid.phone_numberid.us_legal_statusid.visa_kindid.visa_expiration_dateid.nationalityid.citizenshipsid.drivers_license_numberid.drivers_license_stateid.itinid.us_tax_id
custom.*
investor_profile.employment_statusinvestor_profile.occupationinvestor_profile.employerinvestor_profile.annual_incomeinvestor_profile.net_worthinvestor_profile.investment_goalsinvestor_profile.risk_toleranceinvestor_profile.declarationsinvestor_profile.brokerage_firm_employerinvestor_profile.senior_executive_symbolsinvestor_profile.family_member_namesinvestor_profile.political_organizationinvestor_profile.funding_sources
document.id_card.front.imagedocument.id_card.front.mime_typedocument.id_card.back.image
<value>·

string | integer | boolean | object

Response

external_id·

optional string

id·

string

sandbox_id·

optional string

Only populated for users created in sandbox mode.
POST /users
1curl -X POST https://api.onefootprint.com/users \
2  -u sk_test_xxxxx: \
3  -d '{
4    "id.first_name": "Jane",
5    "id.last_name": "Doe",
6    "custom.user_id": "7c50e2bc-c31f-42e3-b2b0-9852010cfd58"
7  }'
Response example
{
  "external_id": "0cece047-151f-4ac4-9782-dc27691fd766",
  "id": "fp_id_7p793EF07xKXHqAeg5VGPj",
  "sandbox_id": "WH8RkRCDSxCfH"
}